<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

require_once("MandaCorreos/FuncionSendMail.php");
require_once("libs/funciones.php");
$usr=$_REQUEST['usr'];
$ParaEmail=$_REQUEST['email2'];
$ParaNombre=$_REQUEST['nombre'];
$nombreEmpresa=$_REQUEST['nombreEmpresa'];
if(file_exists("config.ini")){
		$vlineas = file("config.ini");
		foreach ($vlineas as $sLinea) {
			if(substr($sLinea,0,23) == "CUERPO_CONFIRMA_CORREO="){
				$body=trim(str_replace("CUERPO_CONFIRMA_CORREO=","",$sLinea));
			}else if(substr($sLinea,0,23) == "ASUNTO_CONFIRMA_CORREO="){
				$SubjectMessage=trim(str_replace("ASUNTO_CONFIRMA_CORREO=","",$sLinea));
			}else if(substr($sLinea,0,5) == "RFCS="){
				$_SESSION["RFCS"]=trim(substr($sLinea,5));
			}elseif(substr($sLinea,0,11) == "RFCS_LIGAS="){
				$_SESSION["RFCS_LIGAS"]=trim(substr($sLinea,11));
			}elseif(substr($sLinea,0,11) == "URL_PORTAL="){
				$_SESSION["URL_PORTAL"]=trim(substr($sLinea,11));
			}
		}
		$arrRFCS = explode(",",$_SESSION["RFCS"]);
		$arrLigas = explode(",",$_SESSION["RFCS_LIGAS"]);

		$liga="";
		for($i=0; $i < count($arrRFCS); $i++){
			if($_SESSION['RFC_RECEPTOR_PORTAL']==$arrRFCS[$i])
				{$liga=$arrLigas[$i]; break;}
		}
	$SubjectMessage=str_replace("<<RAZONSOCIAL>>",$nombreEmpresa,str_replace("<<USERNAME>>",$usr,str_replace("<<NOMBRE>>",$nombre,str_replace("<<EMAIL>>",$email,$SubjectMessage))));
	$BodyHTMLFileMessage=str_replace("<<LIGA>>",$_SESSION["URL_PORTAL"]."admin.php",str_replace("<<RFCREC>>",urlencode($_SESSION['RFC_RECEPTOR_PORTAL']),str_replace("<<RAZONSOCIALURL>>",utf8_decode($nombreEmpresa),str_replace("<<RAZONSOCIAL>>",$nombreEmpresa,str_replace("<<ID>>",md5($_REQUEST['pass']),str_replace("<<EMAIL>>",$email,str_replace("<<NOMBRE>>",$nombre,str_replace("<<USERNAME>>",$usr,file_get_contents($body)))))))));
	//echo $BodyHTMLFileMessage;
	$AdjuntoA="";
	$AdjuntoB="";
	$AdjuntoC="";
	$TIPO_CORREO = getINI("FUNCION_ENVIA_CORREO=","config.ini");
	$FROM = getINI("FROM_CORREO=","config.ini");
	if(strtoupper(trim($TIPO_CORREO)) == "MAIL"){
		if(!mail($ParaEmail,$SubjectMessage,$BodyHTMLFileMessage,'From: '.$FROM))
			return false;
	}else{
		if(!SendMail($ParaEmail,$ParaNombre,$SubjectMessage,$BodyHTMLFileMessage,$AdjuntoA,$AdjuntoB,$AdjuntoC))
			return false;
	}
}
?>